Overview
PUT/integration/integration-financial-transactions/{id}integration

Update integration_financial_transactions

Replace a record in integration-financial-transactions by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Request body

application/json · optional

  • deletedAtoptionalstring?
  • ecosystemIdoptionalstring
  • connectionIdoptionalstring
  • externalIdoptionalstring
  • accountIdoptionalstring
  • accountNameoptionalstring?
  • institutionNameoptionalstring?
  • amountoptionalstring
  • currencyoptionalstring
  • nameoptionalstring
  • merchantNameoptionalstring?
  • categoryoptionalstring?
  • categoryDetailedoptionalstring?
  • transactionDateoptionalstring
  • authorizedDateoptionalstring?
  • pendingoptionalboolean
  • logoUrloptionalstring?
  • isDeletedoptionalboolean
Example
{
  "deletedAt": "string",
  "ecosystemId": "string",
  "connectionId": "string",
  "externalId": "string",
  "accountId": "string",
  "accountName": "string",
  "institutionName": "string",
  "amount": "string",
  "currency": "string",
  "name": "string",
  "merchantName": "string",
  "category": "string",
  "categoryDetailed": "string",
  "transactionDate": "string",
  "authorizedDate": "string",
  "pending": true,
  "logoUrl": "string",
  "isDeleted": true
}
Responses
200

integration_financial_transactions

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • connectionIdstring
  • externalIdstring
  • accountIdstring
  • accountNamestring?
  • institutionNamestring?
  • amountstring
  • currencystring
  • namestring
  • merchantNamestring?
  • categorystring?
  • categoryDetailedstring?
  • transactionDatestring
  • authorizedDatestring?
  • pendingboolean
  • logoUrlstring?
  • isDeletedboolean
  • syncVersioninteger
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "connectionId": "string",
  "externalId": "string",
  "accountId": "string",
  "accountName": "string",
  "institutionName": "string",
  "amount": "string",
  "currency": "string",
  "name": "string",
  "merchantName": "string",
  "category": "string",
  "categoryDetailed": "string",
  "transactionDate": "string",
  "authorizedDate": "string",
  "pending": true,
  "logoUrl": "string",
  "isDeleted": true,
  "syncVersion": 0,
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/integration/integration-financial-transactions/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "deletedAt": "string",
  "ecosystemId": "string",
  "connectionId": "string",
  "externalId": "string",
  "accountId": "string",
  "accountName": "string",
  "institutionName": "string",
  "amount": "string",
  "currency": "string",
  "name": "string",
  "merchantName": "string",
  "category": "string",
  "categoryDetailed": "string",
  "transactionDate": "string",
  "authorizedDate": "string",
  "pending": true,
  "logoUrl": "string",
  "isDeleted": true
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-financial-transactions/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"deletedAt\": \"string\",\n  \"ecosystemId\": \"string\",\n  \"connectionId\": \"string\",\n  \"externalId\": \"string\",\n  \"accountId\": \"string\",\n  \"accountName\": \"string\",\n  \"institutionName\": \"string\",\n  \"amount\": \"string\",\n  \"currency\": \"string\",\n  \"name\": \"string\",\n  \"merchantName\": \"string\",\n  \"category\": \"string\",\n  \"categoryDetailed\": \"string\",\n  \"transactionDate\": \"string\",\n  \"authorizedDate\": \"string\",\n  \"pending\": true,\n  \"logoUrl\": \"string\",\n  \"isDeleted\": true\n}",
});
const data = await res.json();